## kleopatra 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")

# The RELEASE_SERVICE_VERSION is used by Gpg4win to add the Gpg4win version
if (NOT RELEASE_SERVICE_VERSION)
    set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
endif()
if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}0${RELEASE_SERVICE_VERSION_MICRO}")
else()
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
endif()

set(KLEOPATRA_VERSION_MAJOR "3")
set(KLEOPATRA_VERSION_MINOR "1")
set(KLEOPATRA_VERSION_MICRO "28")

set(kleopatra_version "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}.${KDE_APPLICATIONS_COMPACT_VERSION}")
# The following is for Windows
set(kleopatra_version_win "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}")
set(kleopatra_fileversion_win "${KLEOPATRA_VERSION_MAJOR},${KLEOPATRA_VERSION_MINOR},${KLEOPATRA_VERSION_MICRO},0")
if (NOT KLEOPATRA_DISTRIBUTION_TEXT)
    # This is only used on Windows for the file attributes of Kleopatra
    set(KLEOPATRA_DISTRIBUTION_TEXT "KDE")
endif()

project(kleopatra VERSION ${kleopatra_version})

option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)

# Standalone build. Find / include everything necessary.
set(KF_MIN_VERSION "5.105.0")
set(KIDENTITYMANAGEMENT_VERSION "5.24.5")
set(KMAILTRANSPORT_VERSION "5.24.5")
set(AKONADI_MIME_VERSION "5.24.5")
set(KMIME_VERSION "5.24.5")
set(LIBKLEO_VERSION "5.24.5")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
set(GPGME_REQUIRED_VERSION "1.16.0")
set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

if (WIN32)
  set(KF5_WANT_VERSION "5.70.0")
  set(KMIME_WANT_VERSION "5.12.0")
else ()
  set(KF5_WANT_VERSION ${KF_MIN_VERSION})
  set(KMIME_WANT_VERSION ${KMIME_VERSION})
endif ()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_WANT_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(FeatureSummary)
include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEClangFormat)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MIN_VERSION "5.105.0")
    set(KF_MAJOR_VERSION "5")
endif()

# Find KF5 packages
find_package(KF${KF_MAJOR_VERSION} ${KF5_WANT_VERSION}
    REQUIRED COMPONENTS
    Codecs
    Config
    ConfigWidgets
    CoreAddons
    Crash
    I18n
    IconThemes
    ItemModels
    KCMUtils
    KIO
    WidgetsAddons
    WindowSystem
    XmlGui

    OPTIONAL_COMPONENTS
    DocTools
)

set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES
    DESCRIPTION "Documentation tools"
    PURPOSE "Required to generate Kleopatra documentation."
    TYPE OPTIONAL)

# Optional packages
if (WIN32)
  # Only a replacement available for Windows so this
  # is required on other platforms.
  find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF5_WANT_VERSION} CONFIG)
  set_package_properties(KF${KF_MAJOR_VERSION}DBusAddons PROPERTIES DESCRIPTION "Support library to work with DBus"
                         PURPOSE "DBus session integration"
                         URL "https://inqlude.org/libraries/kdbusaddons.html"
                         TYPE OPTIONAL)
else()
  find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF5_WANT_VERSION} CONFIG REQUIRED)
  set(_kleopatra_dbusaddons_libs KF${KF_MAJOR_VERSION}::DBusAddons)
endif()

set(HAVE_QDBUS ${Qt${QT_MAJOR_VERSION}DBus_FOUND})

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
if (Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.19.0")
    set(GPGMEPP_SUPPORTS_SET_CURVE 1)
endif()
if (Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.19.1")
    set(GPGMEPP_KEY_CANSIGN_IS_FIXED 1)
endif()
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
else()
    find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
endif()
if (QGpgme_VERSION VERSION_GREATER_EQUAL "1.17.0")
    set(QGPGME_SUPPORTS_CHANGING_EXPIRATION_OF_COMPLETE_KEY 1)
    set(QGPGME_CRYPTOCONFIGENTRY_HAS_DEFAULT_VALUE 1)
    set(QGPGME_SUPPORTS_WKDLOOKUP 1)
    set(QGPGME_SUPPORTS_IMPORT_WITH_FILTER 1)
    set(QGPGME_SUPPORTS_IMPORT_WITH_KEY_ORIGIN 1)
    set(QGPGME_SUPPORTS_SECRET_KEY_EXPORT 1)
    set(QGPGME_SUPPORTS_SECRET_SUBKEY_EXPORT 1)
    set(QGPGME_SUPPORTS_RECEIVING_KEYS_BY_KEY_ID 1)
endif()
if (QGpgme_VERSION VERSION_GREATER_EQUAL "1.18.0")
    set(QGPGME_SUPPORTS_KEY_REVOCATION 1)
    set(QGPGME_SUPPORTS_KEY_REFRESH 1)
    set(QGPGME_SUPPORTS_SET_FILENAME 1)
    set(QGPGME_SUPPORTS_SET_PRIMARY_UID 1)
endif()
if (QGpgme_VERSION VERSION_GREATER_EQUAL "1.19.0")
    set(QGPGME_SUPPORTS_DEFERRED_IMPORT_JOB 1)
    set(QGPGME_SUPPORTS_ARCHIVE_JOBS 1)
    set(QGPGME_JOB_HAS_NEW_PROGRESS_SIGNALS 1)
endif()
if (QGpgme_VERSION VERSION_GREATER_EQUAL "1.21.0")
    set(QGPGME_ARCHIVE_JOBS_SUPPORT_OUTPUT_FILENAME 1)
    set(QGPGME_ARCHIVE_JOBS_SUPPORT_INPUT_FILENAME 1)
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

# Kdepimlibs packages
find_package(KPim${KF_MAJOR_VERSION}Libkleo ${LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_WANT_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IdentityManagement ${KIDENTITYMANAGEMENT_VERSION} CONFIG)
find_package(KPim${KF_MAJOR_VERSION}MailTransport ${KMAILTRANSPORT_VERSION} CONFIG)
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADI_MIME_VERSION} CONFIG)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network PrintSupport)

find_package(LibAssuan ${LIBASSUAN_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibAssuan PROPERTIES
  TYPE REQUIRED
  PURPOSE "Needed for Kleopatra to act as the GnuPG UI Server"
)
find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibGpgError PROPERTIES
  TYPE REQUIRED
)

set(kleopatra_release FALSE)

if(NOT kleopatra_release)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        RESULT_VARIABLE rc
                        ERROR_QUIET)
        if(rc EQUAL 0)
            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%h ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_REVISION)
            string(REGEX REPLACE "\n" "" Kleopatra_WC_REVISION "${Kleopatra_WC_REVISION}")

            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%cI ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_LAST_CHANGED_DATE)
            string(REGEX REPLACE "^([0-9]+)-([0-9]+)-([0-9]+)T([0-9]+):([0-9]+):([0-9]+).*$" "\\1\\2\\3T\\4\\5\\6"
                   Kleopatra_WC_LAST_CHANGED_DATE "${Kleopatra_WC_LAST_CHANGED_DATE}")

            set(kleopatra_version "${kleopatra_version}+git${Kleopatra_WC_LAST_CHANGED_DATE}~${Kleopatra_WC_REVISION}")
        endif()
    endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version-kleopatra.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kleopatra.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kleopatra.h)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

if (WIN32)
# On Windows, we need to use stuff deprecated since Qt 5.11, e.g. from QDesktopWidget
ecm_set_disabled_deprecation_versions(QT 5.10.0  KF 5.103.0)
else ()
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.103.0)
endif ()

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")
endif()
if(MINGW)
    # we do not care about different signedness of passed pointer arguments
    add_compile_options($<$<COMPILE_LANGUAGE:C>:-Wno-pointer-sign>)
endif()

add_definitions(-DQT_NO_EMIT)
remove_definitions(-DQT_NO_FOREACH)

# Disable the use of QStringBuilder for operator+ to prevent crashes when
# returning the result of concatenating string temporaries in lambdas. We do
# this for example in some std::transform expressions.
# This is a known issue: https://bugreports.qt.io/browse/QTBUG-47066
# Alternatively, one would always have to remember to force the lambdas to
# return a QString instead of QStringBuilder, but that's just too easy to
# forget and, unfortunately, the compiler doesn't issue a warning if one forgets
# this. So, it's just too dangerous.
# One can still use QStringBuilder explicitly with the operator% if necessary.
remove_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_USE_QSTRINGBUILDER)

kde_enable_exceptions()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_subdirectory(pics)
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

ecm_qt_install_logging_categories(
        EXPORT KLEOPATRA
        FILE kleopatra.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)
if(KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt::Test)
    message(STATUS "Qt${QT_MAJOR_VERSION}Test not found, autotests will not be built.")
    return()
endif()

include_directories(${CMAKE_SOURCE_DIR}/src)

ecm_qt_declare_logging_category(logging_category_srcs HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME org.kde.pim.kleopatra)

ecm_add_test(
    kuniqueservicetest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/kuniqueservice.cpp
    ${logging_category_srcs}
    TEST_NAME kuniqueservicetest
    LINK_LIBRARIES ${_kleopatra_dbusaddons_libs} Qt::Test
)

ecm_add_test(
    stripsuffixtest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/path-helper.cpp
    ${logging_category_srcs}
    TEST_NAME stripsuffixtest
    LINK_LIBRARIES KF${KF_MAJOR_VERSION}::I18n KPim${KF_MAJOR_VERSION}::Libkleo Qt::Test
)

ecm_add_test(
    keyparameterstest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/keyparameters.cpp
    ${logging_category_srcs}
    TEST_NAME keyparameterstest
    LINK_LIBRARIES Gpgmepp Qt::Test
)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(icons)
add_subdirectory(mimetypes)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if (NOT DISABLE_KWATCHGNUPG)
    add_subdirectory(kwatchgnupg)
endif()
add_subdirectory(libkleopatraclient)
add_subdirectory(conf)
add_subdirectory(kconf_update)

if(WIN32)
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_win.cpp)
  set(_kleopatra_extra_SRCS
      selftest/registrycheck.cpp selftest/registrycheck.h
      utils/gnupg-registry.c
      utils/userinfo_win.cpp
      utils/windowsprocessdevice.cpp utils/windowsprocessdevice.h
      versioninfo.rc kleopatra.w32-manifest
  )
else()
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_unix.cpp)
  set(_kleopatra_extra_SRCS)
endif()

set(_kleopatra_uiserver_SRCS
    ${_kleopatra_extra_uiserver_SRCS}

    selftest/uiservercheck.cpp selftest/uiservercheck.h
    uiserver/assuanserverconnection.cpp uiserver/assuanserverconnection.h
    uiserver/createchecksumscommand.cpp uiserver/createchecksumscommand.h
    uiserver/decryptverifycommandemailbase.cpp uiserver/decryptverifycommandemailbase.h
    uiserver/decryptverifycommandfilesbase.cpp uiserver/decryptverifycommandfilesbase.h
    uiserver/echocommand.cpp uiserver/echocommand.h
    uiserver/encryptcommand.cpp uiserver/encryptcommand.h
    uiserver/importfilescommand.cpp uiserver/importfilescommand.h
    uiserver/prepencryptcommand.cpp uiserver/prepencryptcommand.h
    uiserver/prepsigncommand.cpp uiserver/prepsigncommand.h
    uiserver/selectcertificatecommand.cpp
    uiserver/sessiondata.cpp uiserver/sessiondata.h
    uiserver/signcommand.cpp uiserver/signcommand.h
    uiserver/signencryptfilescommand.cpp
    uiserver/uiserver.cpp
    uiserver/verifychecksumscommand.cpp uiserver/verifychecksumscommand.h
  )

set(_kleopatra_uiserver_extra_libs LibAssuan::LibAssuan LibGpgError::LibGpgError)

if(HAVE_GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
else()
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
endif()

if(KPim${KF_MAJOR_VERSION}IdentityManagement_FOUND AND KPim${KF_MAJOR_VERSION}MailTransport_FOUND AND KPim${KF_MAJOR_VERSION}AkonadiMime_FOUND)
  set(_kleopatra_mail_libs
      KPim${KF_MAJOR_VERSION}::IdentityManagement # Export OpenPGP keys using WKS
      KPim${KF_MAJOR_VERSION}::MailTransport
      KPim${KF_MAJOR_VERSION}::AkonadiMime
  )
  add_definitions(-DMAILAKONADI_ENABLED)
endif()

ki18n_wrap_ui(_kleopatra_uiserver_SRCS crypto/gui/signingcertificateselectionwidget.ui)

set(_kleopatra_SRCS
  ${_kleopatra_extra_SRCS}

  accessibility/accessiblelink.cpp
  accessibility/accessiblelink_p.h
  accessibility/accessiblerichtextlabel.cpp
  accessibility/accessiblerichtextlabel_p.h
  accessibility/accessiblevaluelabel.cpp
  accessibility/accessiblevaluelabel_p.h
  accessibility/accessiblewidgetfactory.cpp
  accessibility/accessiblewidgetfactory.h
  commands/adduseridcommand.cpp
  commands/adduseridcommand.h
  commands/authenticatepivcardapplicationcommand.cpp
  commands/authenticatepivcardapplicationcommand.h
  commands/cardcommand.cpp
  commands/cardcommand.h
  commands/certificatetopivcardcommand.cpp
  commands/certificatetopivcardcommand.h
  commands/certifycertificatecommand.cpp
  commands/certifycertificatecommand.h
  commands/changeexpirycommand.cpp
  commands/changeexpirycommand.h
  commands/changeownertrustcommand.cpp
  commands/changeownertrustcommand.h
  commands/changepassphrasecommand.cpp
  commands/changepassphrasecommand.h
  commands/changepincommand.cpp
  commands/changepincommand.h
  commands/changeroottrustcommand.cpp
  commands/changeroottrustcommand.h
  commands/checksumcreatefilescommand.cpp
  commands/checksumcreatefilescommand.h
  commands/checksumverifyfilescommand.cpp
  commands/checksumverifyfilescommand.h
  commands/clearcrlcachecommand.cpp
  commands/clearcrlcachecommand.h
  commands/command.cpp
  commands/command.h
  commands/createcsrforcardkeycommand.cpp
  commands/createcsrforcardkeycommand.h
  commands/createopenpgpkeyfromcardkeyscommand.cpp
  commands/createopenpgpkeyfromcardkeyscommand.h
  commands/decryptverifyclipboardcommand.cpp
  commands/decryptverifyclipboardcommand.h
  commands/decryptverifyfilescommand.cpp
  commands/decryptverifyfilescommand.h
  commands/deletecertificatescommand.cpp
  commands/deletecertificatescommand.h
  commands/detailscommand.cpp
  commands/detailscommand.h
  commands/dumpcertificatecommand.cpp
  commands/dumpcertificatecommand.h
  commands/dumpcrlcachecommand.cpp
  commands/dumpcrlcachecommand.h
  commands/encryptclipboardcommand.cpp
  commands/encryptclipboardcommand.h
  commands/exportcertificatecommand.cpp
  commands/exportcertificatecommand.h
  commands/exportgroupscommand.cpp
  commands/exportgroupscommand.h
  commands/exportopenpgpcertstoservercommand.cpp
  commands/exportopenpgpcertstoservercommand.h
  commands/exportopenpgpcerttoprovidercommand.cpp
  commands/exportopenpgpcerttoprovidercommand.h
  commands/exportpaperkeycommand.cpp
  commands/exportpaperkeycommand.h
  commands/exportsecretkeycommand.cpp
  commands/exportsecretkeycommand.h
  commands/exportsecretkeycommand_old.cpp
  commands/exportsecretkeycommand_old.h
  commands/exportsecretsubkeycommand.cpp
  commands/exportsecretsubkeycommand.h
  commands/genrevokecommand.cpp
  commands/genrevokecommand.h
  commands/gnupgprocesscommand.cpp
  commands/gnupgprocesscommand.h
  commands/importcertificatefromclipboardcommand.cpp
  commands/importcertificatefromclipboardcommand.h
  commands/importcertificatefromdatacommand.cpp
  commands/importcertificatefromdatacommand.h
  commands/importcertificatefromfilecommand.cpp
  commands/importcertificatefromfilecommand.h
  commands/importcertificatefromkeyservercommand.cpp
  commands/importcertificatefromkeyservercommand.h
  commands/importcertificatefrompivcardcommand.cpp
  commands/importcertificatefrompivcardcommand.h
  commands/importcertificatescommand.cpp
  commands/importcertificatescommand.h
  commands/importcrlcommand.cpp
  commands/importcrlcommand.h
  commands/importpaperkeycommand.cpp
  commands/importpaperkeycommand.h
  commands/keytocardcommand.cpp
  commands/keytocardcommand.h
  commands/learncardkeyscommand.cpp
  commands/learncardkeyscommand.h
  commands/lookupcertificatescommand.cpp
  commands/lookupcertificatescommand.h
  commands/newcertificatesigningrequestcommand.cpp
  commands/newcertificatesigningrequestcommand.h
  commands/newopenpgpcertificatecommand.cpp
  commands/newopenpgpcertificatecommand.h
  commands/openpgpgeneratecardkeycommand.cpp
  commands/openpgpgeneratecardkeycommand.h
  commands/pivgeneratecardkeycommand.cpp
  commands/pivgeneratecardkeycommand.h
  commands/refreshcertificatecommand.cpp
  commands/refreshcertificatecommand.h
  commands/refreshopenpgpcertscommand.cpp
  commands/refreshopenpgpcertscommand.h
  commands/refreshx509certscommand.cpp
  commands/refreshx509certscommand.h
  commands/reloadkeyscommand.cpp
  commands/reloadkeyscommand.h
  commands/revokecertificationcommand.cpp
  commands/revokecertificationcommand.h
  commands/revokekeycommand.cpp
  commands/revokekeycommand.h
  commands/revokeuseridcommand.cpp
  commands/revokeuseridcommand.h
  commands/selftestcommand.cpp
  commands/selftestcommand.h
  commands/setinitialpincommand.cpp
  commands/setinitialpincommand.h
  commands/setpivcardapplicationadministrationkeycommand.cpp
  commands/setpivcardapplicationadministrationkeycommand.h
  commands/setprimaryuseridcommand.cpp
  commands/setprimaryuseridcommand.h
  commands/signclipboardcommand.cpp
  commands/signclipboardcommand.h
  commands/signencryptfilescommand.cpp
  commands/signencryptfilescommand.h
  commands/signencryptfoldercommand.cpp
  commands/signencryptfoldercommand.h
  conf/configuredialog.cpp
  conf/configuredialog.h
  conf/groupsconfigdialog.cpp
  conf/groupsconfigdialog.h
  conf/groupsconfigpage.cpp
  conf/groupsconfigpage.h
  conf/groupsconfigwidget.cpp
  conf/groupsconfigwidget.h
  crypto/autodecryptverifyfilescontroller.cpp
  crypto/autodecryptverifyfilescontroller.h
  crypto/certificateresolver.cpp
  crypto/certificateresolver.h
  crypto/checksumsutils_p.cpp
  crypto/checksumsutils_p.h
  crypto/controller.cpp
  crypto/controller.h
  crypto/createchecksumscontroller.cpp
  crypto/createchecksumscontroller.h
  crypto/decryptverifyemailcontroller.cpp
  crypto/decryptverifyemailcontroller.h
  crypto/decryptverifyfilescontroller.cpp
  crypto/decryptverifyfilescontroller.h
  crypto/decryptverifytask.cpp
  crypto/decryptverifytask.h
  crypto/encryptemailcontroller.cpp
  crypto/encryptemailcontroller.h
  crypto/encryptemailtask.cpp
  crypto/encryptemailtask.h
  crypto/gui/certificatelineedit.cpp
  crypto/gui/certificatelineedit.h
  crypto/gui/certificateselectionline.cpp
  crypto/gui/certificateselectionline.h
  crypto/gui/decryptverifyfilesdialog.cpp
  crypto/gui/decryptverifyfilesdialog.h
  crypto/gui/decryptverifyfileswizard.cpp
  crypto/gui/decryptverifyfileswizard.h
  crypto/gui/decryptverifyoperationwidget.cpp
  crypto/gui/decryptverifyoperationwidget.h
  crypto/gui/encryptemailwizard.cpp
  crypto/gui/encryptemailwizard.h
  crypto/gui/newresultpage.cpp
  crypto/gui/newresultpage.h
  crypto/gui/objectspage.cpp
  crypto/gui/objectspage.h
  crypto/gui/resolverecipientspage.cpp
  crypto/gui/resolverecipientspage.h
  crypto/gui/resultitemwidget.cpp
  crypto/gui/resultitemwidget.h
  crypto/gui/resultlistwidget.cpp
  crypto/gui/resultlistwidget.h
  crypto/gui/resultpage.cpp
  crypto/gui/resultpage.h
  crypto/gui/signemailwizard.cpp
  crypto/gui/signemailwizard.h
  crypto/gui/signencryptemailconflictdialog.cpp
  crypto/gui/signencryptemailconflictdialog.h
  crypto/gui/signencryptfileswizard.cpp
  crypto/gui/signencryptfileswizard.h
  crypto/gui/signencryptwidget.cpp
  crypto/gui/signencryptwidget.h
  crypto/gui/signencryptwizard.cpp
  crypto/gui/signencryptwizard.h
  crypto/gui/signerresolvepage.cpp
  crypto/gui/signerresolvepage.h
  crypto/gui/signingcertificateselectiondialog.cpp
  crypto/gui/signingcertificateselectiondialog.h
  crypto/gui/signingcertificateselectionwidget.cpp
  crypto/gui/signingcertificateselectionwidget.h
  crypto/gui/unknownrecipientwidget.cpp
  crypto/gui/unknownrecipientwidget.h
  crypto/gui/verifychecksumsdialog.cpp
  crypto/gui/verifychecksumsdialog.h
  crypto/gui/wizard.cpp
  crypto/gui/wizard.h
  crypto/gui/wizardpage.cpp
  crypto/gui/wizardpage.h
  crypto/newsignencryptemailcontroller.cpp
  crypto/newsignencryptemailcontroller.h
  crypto/recipient.cpp
  crypto/recipient.h
  crypto/sender.cpp
  crypto/sender.h
  crypto/signemailcontroller.cpp
  crypto/signemailcontroller.h
  crypto/signemailtask.cpp
  crypto/signemailtask.h
  crypto/signencryptfilescontroller.cpp
  crypto/signencryptfilescontroller.h
  crypto/signencrypttask.cpp
  crypto/signencrypttask.h
  crypto/task.cpp
  crypto/task.h
  crypto/taskcollection.cpp
  crypto/taskcollection.h
  crypto/verifychecksumscontroller.cpp
  crypto/verifychecksumscontroller.h
  dialogs/adduseriddialog.cpp
  dialogs/adduseriddialog.h
  dialogs/certificatedetailsdialog.cpp
  dialogs/certificatedetailsdialog.h
  dialogs/certificatedetailsinputwidget.cpp
  dialogs/certificatedetailsinputwidget.h
  dialogs/certificatedetailswidget.cpp
  dialogs/certificatedetailswidget.h
  dialogs/certificateselectiondialog.cpp
  dialogs/certificateselectiondialog.h
  dialogs/certifycertificatedialog.cpp
  dialogs/certifycertificatedialog.h
  dialogs/certifywidget.cpp
  dialogs/certifywidget.h
  dialogs/createcsrforcardkeydialog.cpp
  dialogs/createcsrforcardkeydialog.h
  dialogs/deletecertificatesdialog.cpp
  dialogs/deletecertificatesdialog.h
  dialogs/editgroupdialog.cpp
  dialogs/editgroupdialog.h
  dialogs/expirydialog.cpp
  dialogs/expirydialog.h
  dialogs/exportdialog.cpp

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(gnupg_home)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(
  ${CMAKE_SOURCE_DIR}/src/
  ${CMAKE_BINARY_DIR}/src/
  ${GPGME_INCLUDES}
)

########### next target ###############

set(test_verify_SRCS test_verify.cpp)

add_definitions(-DKLEO_TEST_GNUPGHOME="${CMAKE_CURRENT_BINARY_DIR}/gnupg_home")
add_definitions(-DKLEO_TEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}")


add_executable(test_verify  ${test_verify_SRCS})
add_test(NAME test_verify COMMAND test_verify)
ecm_mark_as_test(test_verify)

target_link_libraries(test_verify
  KPim${KF_MAJOR_VERSION}::Libkleo
  Qt::Test
  KF${KF_MAJOR_VERSION}::CoreAddons
  KF${KF_MAJOR_VERSION}::I18n
  Qt::Widgets
)

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(test_verify QGpgmeQt6)
else()
    target_link_libraries(test_verify QGpgme)
endif()


########### next target ###############

  # this doesn't yet work on Windows

  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_2)

  set(test_uiserver_SRCS test_uiserver.cpp ${CMAKE_SOURCE_DIR}/src/utils/wsastarter.cpp)

#FIXME: omitting TEST makes test_uiserver print output again on a Win32 console;
# find a better fix for this issue
  if(WIN32)
    add_executable(test_uiserver ${test_uiserver_SRCS})
  else()
    add_executable(test_uiserver ${test_uiserver_SRCS})
  endif()

  target_link_libraries(test_uiserver KF${KF_MAJOR_VERSION}::I18n KPim${KF_MAJOR_VERSION}::Libkleo LibAssuan::LibAssuan LibGpgError::LibGpgError)

  if (QT_MAJOR_VERSION STREQUAL "6")
      target_link_libraries(test_uiserver QGpgmeQt6)
  else()
      target_link_libraries(test_uiserver QGpgme)
  endif()

=== src/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############

ecm_install_icons( ICONS 128-apps-kleopatra.png  16-apps-kleopatra.png  22-apps-kleopatra.png  256-apps-kleopatra.png  32-apps-kleopatra.png  48-apps-kleopatra.png  64-apps-kleopatra.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== src/kconf_update/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
install(FILES kleopatra.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(PROGRAMS kleopatra-15.08-kickoff.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== src/mimetypes/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
# always install the media types
install(FILES application-vnd-kde-kleopatra.xml DESTINATION ${KDE_INSTALL_MIMEDIR})

# require at least version 1.3 (same as for KF5)
find_package(SharedMimeInfo 1.3)
set_package_properties(SharedMimeInfo PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Enables import of exported certificate groups with Kleopatra"
                      )

# update XDG mime-types if shared mime info is around
if(SharedMimeInfo_FOUND AND NOT CMAKE_CROSSCOMPILING)
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

=== src/libkleopatraclient/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

if(WIN32)
  set(_kleopatraclientcore_extra_SRCS ../../utils/gnupg-registry.c)
else()
  set(_kleopatraclientcore_extra_SRCS)
endif()

ecm_qt_declare_logging_category(_kleopatraclientcore_common_SRCS HEADER libkleopatraclientcore_debug.h IDENTIFIER LIBKLEOPATRACLIENTCORE_LOG CATEGORY_NAME org.kde.pim.libkleopatraclientcore
        DESCRIPTION "kleopatra (kleopatra)"
        OLD_CATEGORY_NAMES log_libkleopatraclientcore
        EXPORT KLEOPATRA
    )


add_library(kleopatraclientcore
  ${_kleopatraclientcore_extra_SRCS}
  initialization.cpp
  command.cpp
  selectcertificatecommand.cpp
  signencryptfilescommand.cpp
  decryptverifyfilescommand.cpp
  libkleopatraclientcore_debug.cpp
  initialization.h
  command.h
  selectcertificatecommand.h
  signencryptfilescommand.h
  decryptverifyfilescommand.h
  libkleopatraclientcore_debug.h
  ${_kleopatraclientcore_common_SRCS}
)
generate_export_header(kleopatraclientcore BASE_NAME kleopatraclientcore)

set_target_properties(kleopatraclientcore PROPERTIES
  VERSION ${libkleopatraclient_version}
  SOVERSION ${libkleopatraclient_soversion}
)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kleopatraclientcore PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(kleopatraclientcore LibAssuan::LibAssuan LibGpgError::LibGpgError Qt::Widgets KF${KF_MAJOR_VERSION}::I18n Gpgmepp)

install(TARGETS kleopatraclientcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/libkleopatraclient/gui/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_library(kleopatraclientgui certificaterequester.cpp certificaterequester.h)
generate_export_header(kleopatraclientgui BASE_NAME kleopatraclientgui)

target_link_libraries(kleopatraclientgui
  kleopatraclientcore
  KF${KF_MAJOR_VERSION}::I18n
)

set_target_properties(kleopatraclientgui PROPERTIES
  VERSION ${libkleopatraclient_version}
  SOVERSION ${libkleopatraclient_soversion}
)

install(TARGETS kleopatraclientgui ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kleopatra (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:18 +1100

kleopatra (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:06:08 +0000

kleopatra (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:03:27 -0700

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.95.0~),
               libboost-dev (>= 1.34.0~),
               libgpgmepp-dev (>= 1.16.0~),
               libkf5codecs-dev (>= 5.95.0~),
               libkf5config-dev (>= 5.95.0~),
               libkf5configwidgets-dev (>= 5.95.0~),
               libkf5coreaddons-dev (>= 5.95.0~),
               libkf5crash-dev (>= 5.95.0~),
               libkf5dbusaddons-dev (>= 5.95.0~),
               libkf5doctools-dev (>= 5.95.0~),
               libkf5i18n-dev (>= 5.95.0~),
               libkf5iconthemes-dev (>= 5.95.0~),
               libkf5identitymanagement-dev (>= 23.08.5~),
               libkf5itemmodels-dev (>= 5.95.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:23.08.5~),
               libkf5mailtransport-dev (>= 23.08.5~),
               libkf5mime-dev (>= 23.08.5~),
               libkf5notifications-dev (>= 5.95.0~),
               libkf5textaddons-dev,
               libkf5textwidgets-dev (>= 5.95.0~),
               libkf5widgetsaddons-dev (>= 5.95.0~),
               libkf5windowsystem-dev (>= 5.95.0~),
               libkf5xmlgui-dev (>= 5.95.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg-agent,
         gnupg2,
         gpgsm,
         paperkey,
         pinentry-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 24.08.2

=== debian/changelog ===
kleopatra (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:38:57 -0500

kleopatra (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:48 +0200

kleopatra (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove patches that have been applied upstream.
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 11:23:31 +0200

kleopatra (4:22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:38:38 +0200

kleopatra (4:22.12.3-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Use pkgconf to locate libassuan. Closes: #1072277
  * B-d on libqgpgme-dev (split-off QT5 gpgme bindings) instead of
    libgpgmepp-dev. Closes: #1078485

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Aug 2024 13:54:40 +0200

kleopatra (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Add pinentry-x11 as alternative to the pinentry-qt dependency, so other GUI
    variants are usable. (Closes: #1040700)
  * Remove 2 obsolete maintscript entries in 1 files.
  * Re-export upstream signing key without extra signatures.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Mark the dbus, xauth, and xvfb build dependencies as !nocheck, as they are
    needed only during dh_auto_test.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Jul 2023 09:28:23 +0200

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               git,
               libakonadimime-dev (>= 4:24.08.2~),
               libassuan-dev (>= 2.4.2~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.21.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkleo-dev (>= 4:24.08.2~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libmimetreeparser-dev (>= 24.08.2~),
               libqgpgmeqt6-dev (>= 1.21.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kleopatra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Rules-Requires-Root: no

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme,
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 24.12.0

=== debian/changelog ===
kleopatra (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:31 +0100

kleopatra (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:30 +0100

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               git,
               libakonadimime-dev (>= 4:24.12.0~),
               libassuan-dev (>= 2.4.2~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmailtransport-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libmimetreeparser-dev (>= 24.12.0~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kleopatra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git
Rules-Requires-Root: no

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme,
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 24.12.2

=== debian/changelog ===
kleopatra (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -33,11 +33,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libmimetreeparser-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libmimetreeparser-dev (>= 24.12.2~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
